# API Reference: Admin

## PUT `/admin/config/oidc`

**Summary:** Update OIDC Configuration

**Description:** Update OIDC Configuration

#### Parameters

| Name | In | Required | Type | Description |
|------|----|----------|------|-------------|
| `x-user-id` | header | No | anyOf |  |

#### Request Body

**Required:** Yes

- **Media Type:** `application/json`
- **Schema:** `OIDCConfigUpdate` (Define in Models)

#### Responses

| Status Code | Description |
|-------------|-------------|
| `200` | Successful Response |
| `422` | Validation Error |

#### Example Usage

```bash
curl -X 'PUT' \
  'http://localhost:8000/api/v1/admin/config/oidc' \
  -H 'accept: application/json' \
  -H 'X-User-ID: <your_user_id>' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

---

## PUT `/admin/config/app`

**Summary:** Update Application Configuration

**Description:** Update Application Configuration

#### Parameters

| Name | In | Required | Type | Description |
|------|----|----------|------|-------------|
| `x-user-id` | header | No | anyOf |  |

#### Request Body

**Required:** Yes

- **Media Type:** `application/json`
- **Schema:** `AppConfigUpdate` (Define in Models)

#### Responses

| Status Code | Description |
|-------------|-------------|
| `200` | Successful Response |
| `422` | Validation Error |

#### Example Usage

```bash
curl -X 'PUT' \
  'http://localhost:8000/api/v1/admin/config/app' \
  -H 'accept: application/json' \
  -H 'X-User-ID: <your_user_id>' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

---

## POST `/admin/config/oidc/test`

**Summary:** Test OIDC Discovery

**Description:** Test OIDC Discovery

#### Parameters

| Name | In | Required | Type | Description |
|------|----|----------|------|-------------|
| `x-user-id` | header | No | anyOf |  |

#### Request Body

**Required:** Yes

- **Media Type:** `application/json`
- **Schema:** `OIDCConfigUpdate` (Define in Models)

#### Responses

| Status Code | Description |
|-------------|-------------|
| `200` | Successful Response |
| `422` | Validation Error |

#### Example Usage

```bash
curl -X 'POST' \
  'http://localhost:8000/api/v1/admin/config/oidc/test' \
  -H 'accept: application/json' \
  -H 'X-User-ID: <your_user_id>' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

---

## GET `/admin/config/swarm/test/{nonce}`

**Summary:** Echo Swarm Nonce

**Description:** Echo Swarm Nonce

#### Parameters

| Name | In | Required | Type | Description |
|------|----|----------|------|-------------|
| `nonce` | path | Yes | string |  |

#### Responses

| Status Code | Description |
|-------------|-------------|
| `200` | Successful Response |
| `422` | Validation Error |

#### Example Usage

```bash
curl -X 'GET' \
  'http://localhost:8000/api/v1/admin/config/swarm/test/{nonce}' \
  -H 'accept: application/json'
```

---

## POST `/admin/config/swarm/test`

**Summary:** Test Swarm Connection

**Description:** Test Swarm Connection

#### Parameters

| Name | In | Required | Type | Description |
|------|----|----------|------|-------------|
| `x-user-id` | header | No | anyOf |  |

#### Request Body

**Required:** Yes

- **Media Type:** `application/json`
- **Schema:** `SwarmConfigUpdate` (Define in Models)

#### Responses

| Status Code | Description |
|-------------|-------------|
| `200` | Successful Response |
| `422` | Validation Error |

#### Example Usage

```bash
curl -X 'POST' \
  'http://localhost:8000/api/v1/admin/config/swarm/test' \
  -H 'accept: application/json' \
  -H 'X-User-ID: <your_user_id>' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

---

## PUT `/admin/config/swarm`

**Summary:** Update Swarm Configuration

**Description:** Update Swarm Configuration

#### Parameters

| Name | In | Required | Type | Description |
|------|----|----------|------|-------------|
| `x-user-id` | header | No | anyOf |  |

#### Request Body

**Required:** Yes

- **Media Type:** `application/json`
- **Schema:** `SwarmConfigUpdate` (Define in Models)

#### Responses

| Status Code | Description |
|-------------|-------------|
| `200` | Successful Response |
| `422` | Validation Error |

#### Example Usage

```bash
curl -X 'PUT' \
  'http://localhost:8000/api/v1/admin/config/swarm' \
  -H 'accept: application/json' \
  -H 'X-User-ID: <your_user_id>' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

---

## GET `/admin/config`

**Summary:** Get Admin Configuration

**Description:** Get Admin Configuration

#### Parameters

| Name | In | Required | Type | Description |
|------|----|----------|------|-------------|
| `x-user-id` | header | No | anyOf |  |

#### Responses

| Status Code | Description |
|-------------|-------------|
| `200` | Successful Response |
| `422` | Validation Error |

#### Example Usage

```bash
curl -X 'GET' \
  'http://localhost:8000/api/v1/admin/config' \
  -H 'accept: application/json' \
  -H 'X-User-ID: <your_user_id>'
```

---

